## org.eclipse.datatools.modelbase.sql.query
Interface TableFunction

All Superinterfaces:
  SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Subinterfaces:
  XMLTableFunction

All Known Implementing Classes:
  TableFunctionImpl, XMLTableFunctionImpl

    public interface TableFunction

extends TableExpression

A representation of the model object 'SQL Table Function'.

See Also:
  `SQLQueryModelPackage.getTableFunction()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.